Bug 213190 - non-working vnc and winxp clipboard synchronization
Summary: non-working vnc and winxp clipboard synchronization
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: vnc
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: David Lawrence
URL: http://dasdeniz.blogspot.com/2006/09/...
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-31 03:42 UTC by das_deniz
Modified: 2013-04-30 23:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-26 17:47:19 UTC


Attachments (Terms of Use)

Description das_deniz 2006-10-31 03:42:04 UTC
Description of problem:

running vncserver on linux host and vncclient on winxp has no support for
cut-and-paste between the winxp clipboard and the X selection.

Version-Release number of selected component (if applicable):

rh9, rhel4, fc6... realvnc

How reproducible:

always need xclipboard running and to play games to get an X selection into the
windows clipboard and vice versa

Steps to Reproduce:
1. start vncserver on linux
2. start vncclient on winxp - connect to host:display
3. select some text in a terminal or application and edit->copy it
4. move to the winxp client and try to paste the text into an app
  
Actual results:

fails to paste selected text from X and fails the other way as well

Expected results:

for copy and paste to work between vncclient and host of client program.

Additional info:


please have a look at this very short comment with references to other sources
and my current work around:

  http://dasdeniz.blogspot.com/2006/09/on-windows-x-clipboard-selection-vnc.html

thank you very much

Comment 1 Adam Tkac 2006-11-29 09:11:36 UTC
Really interesting. Problem is that windows vnc client synchronize vncserver's
cutbuffer, not clipboard. I can write patch which synchronizing server's
cutbuffer & clipboard buffer but this patch will be only temporary because using
cutbuffer is VERY obsolete. In future windows vnc client must be rewrited to
using standard X copy/paste scheme.

Comment 2 das_deniz 2006-11-29 15:44:25 UTC
Adam, thanks for looking into this - please do take your time with this one and
 follow these links to have a look at this *well discussed* issue around X
old/new vs Windows and clipboard handling:

http://xserver.freedesktop.org/wiki/Standards_2fClipboardsWiki
http://www.jwz.org/doc/x-cut-and-paste.html

also note that i missed this - part of the vnc-server package:

http://www.realvnc.com/products/free/4.1/man/vncconfig.html

and this is in the default created ~/.vnc/xstartup as 'vncconfig -iconic &' with
FC6.

The problem persists with 'remote access' to the desktop display :0.0 (LibVNCServer)

So, i suggest some more reading and working with the vnc providers to come up
with a solution that works for most everyone....

www.realvnc.com
www.tightvnc.com
ultravnc.sf.net

Thank you very much for looking into this.



Comment 3 Adam Tkac 2006-12-05 09:52:02 UTC
Could you please specify how can you copy some text from windows vnc client to
linux server? I can't find how can I reproduce this bug. (where is edit->copy in
windows vnc client?)

Comment 4 das_deniz 2006-12-05 13:56:46 UTC
???

I only use Edit->Copy as a last resort for any application on any platform.

Selecting the text and Ctrl-C copies the selection to the clipboard in windows 
likewise Ctrl-Shift-C copies to the clipboard for gnome-terminal.

Pasting is done with Ctrl-V in windows (if i've somthing in the clipboard) 
likewise Ctrl-Shift-V pastes in gnome-terminal.

Emacs uses different selection/buffer key sequences...

I do not use application menus or the vnc 'copy local to remote' or 'copy remote
to local' selections... and the point is no one should need to.


Comment 5 Bug Zapper 2008-04-04 04:17:41 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 6 Adam Tkac 2008-04-04 09:47:24 UTC
moving to rawhide & assigned

Comment 7 Bug Zapper 2008-05-14 02:26:34 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Adam Tkac 2008-11-26 17:47:19 UTC
Clipboard synchronization works when vncconfig utility is running in session. From vncconfig manual page:

"... Its main purpose when run in this mode is to support clipboard transfer to and from the VNC viewer(s). Note that without a running instance of vncconfig there will be no clipboard support ..."

If running vncconfig doesn't help please reopen this bug.


Note You need to log in before you can comment on or make changes to this bug.